Bug 202033 - Review Request: deltarpm
Review Request: deltarpm
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-08-10 10:35 EDT by Mihai Ibanescu
Modified: 2007-12-29 16:29 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-17 12:28:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mihai Ibanescu 2006-08-10 10:35:26 EDT
Spec URL: http://people.redhat.com/misa/rpms/deltarpm/deltarpm.spec
SRPM URL: http://people.redhat.com/misa/rpms/deltarpm/deltarpm-3.3-2.src.rpm
Description: Create deltas between rpms.


A deltarpm contains the difference between an old
and a new version of a rpm, which makes it possible
to recreate the new rpm from the deltarpm and the old
one. You don't have to have a copy of the old rpm,
deltarpms can also work with installed rpms.
Comment 1 Jochen Schmitt 2006-08-10 13:24:38 EDT
Good:
+ Tar ball matched with upstream.
+ Local Build works fine.
+ Local install works fine.
+ Local uninstall works fine.
+ License is OK.
+ Mock build works fine.

Bad:
- BuildRoot should be %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
- Rpmlint on the source rpm complaints:
  W: deltarpm non-standard-group Applications/Utilitie  s
  W: deltarpm setup-not-quiet
- Rpmlint complaints on binary package:
  W: deltarpm non-standard-group Applications/Utilities
Comment 2 Mihai Ibanescu 2006-08-15 15:18:51 EDT
Do you have any good suggestion on a good group for this to live in? I can see
it in:

Development/Tools
Applications/Archiving (well, maybe not, rpms are not generally for archives)
Aplications/System
Comment 3 Daniel Riek 2006-08-17 09:22:37 EDT
Even non-standard yum plugins are in System Environment/Base, so I guess this
goes there as well.
Comment 4 Mihai Ibanescu 2006-08-17 10:22:11 EDT
Suggested changes were incorporated, please have a look (spec file path is the
same).

http://people.redhat.com/misa/rpms/deltarpm/deltarpm-3.3-3.src.rpm
Comment 5 Jochen Schmitt 2006-08-17 12:28:21 EDT
You don't need to specify gcc as a BR.

So, If you may remove this BR you are APPROVE.
Comment 6 Mihai Ibanescu 2006-08-17 16:34:25 EDT
Removed, in deltarpm 3.3-4 (I didn't like 3.3-3 anyway)
Comment 7 Adam Jackson 2007-06-05 07:36:44 EDT
Package Change Request
======================
Package Name: deltarpm
Updated Fedora Owners: jdieter@gmail.com

As current owner, I'm happy to see this go to someone who's actively working on
it instead.
Comment 8 Tom "spot" Callaway 2007-06-05 11:15:05 EDT
cvs done.
Comment 9 Jonathan Dieter 2007-12-29 04:15:32 EST
Package Change Request
======================
Package Name: deltarpm
New Branches: EL-4 EL-5

See https://bugzilla.redhat.com/show_bug.cgi?id=426959

Thanks.  If I'm supposed to do this elsewhere, let me know.
Comment 10 Kevin Fenzi 2007-12-29 16:29:16 EST
You forgot to reset the fedora-cvs flag, but I noticed this request on the
review list. ;) 

cvs done.

Note You need to log in before you can comment on or make changes to this bug.